<?php

/**
 * [BEGIN_COT_EXT]
 * Hooks=ajax
 * [END_COT_EXT]
 */

/**
  Разработка сайтов на cotonti, готовые плагины - cotontidev.ru
**/

defined('COT_CODE') && defined('COT_PLUG') or die('Wrong URL');

//if(!COT_AJAX) cot_die_message(404);

$method = cot_import('method', 'G', 'TXT');
$a = cot_import('a', 'G', 'TXT');

$return = array(
  'success' => 0,
  'error' => ''
);
$return_json = true;

cot_sendheaders();

if(empty($_SERVER['HTTP_REFERER']) || strpos($_SERVER['HTTP_REFERER'], $cfg['mainurl']) !== false) {
  if(!empty($method)) {
    $method = cot_incfile('api', 'plug', $method);

    if(file_exists($method)) {
      require_once $method;
    }

    if($method == 'success') {
      $return['success'] = 1;
    }
  }
}

echo ($return_json ? json_encode($return) : $return);

?>